package com.yinet.wsyy.service;

import com.yinet.wsyy.domain.Wsyy;

import java.util.Date;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * 网上预约列表Service接口
 *
 * @author yinet
 * @date 2019-09-02
 */
public interface IWsyyService {

    /**
     * 查询网上预约列表列表
     *
     * @param wsyy 网上预约列表
     * @return 网上预约列表集合
     */
    public List<Wsyy> selectWsyyList(Wsyy wsyy);
    /**
     * 查询网上预约列表列表
     *
     * @param wsyy 网上预约列表
     * @return 网上预约列表集合
     */
    public List<Wsyy> selectWsyyListExcel(Wsyy wsyy);
    /**
     * 新增网上预约列表
     *
     * @param wsyy 网上预约列表
     * @return 结果
     */
    public int insertWsyy(Wsyy wsyy);


    /**
     * 批量删除网上预约列表
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWsyyByIds(String ids);

    /**
     * 获取所有当前日期所有时间段预约人数
     */
    public LinkedHashMap<String, List<Integer>> selectTimeNum(Date bookedDay,Long type);
}
